%define		perl_vendorarch	%(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary:	Modular text mode IRC client with Perl scripting
Name:		irssi
Version:	0.8.10
Release:	1%{?dist}

License:	GPL
Group:		Applications/Communications
URL:		http://irssi.org/
Source0:	http://irssi.org/files/irssi-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ncurses-devel openssl-devel zlib-devel 
BuildRequires:	pkgconfig gc-devel glib2-devel

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%package devel
Summary:	Development package for irssi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description
Irssi is a modular IRC client with Perl scripting. Only text-mode
frontend is currently supported. The GTK/GNOME frontend is no longer
being maintained.

%description devel
This package contains headers needed to develop irssi plugins.

Irssi is a modular IRC client with Perl scripting. Only text-mode
frontend is currently supported. The GTK/GNOME frontend is no longer
being maintained.


%prep
%setup -q -n %{name}-%{version}

%build
%configure --enable-ipv6 --with-textui	\
	--with-proxy			\
	--with-bot			\
	--with-perl=module		\
	--with-perl-lib=vendor --with-gc
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

# Clean up
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/lib*.*a
rm -Rf $RPM_BUILD_ROOT/%{_docdir}/%{name}
find $RPM_BUILD_ROOT%{perl_vendorarch} -type f -a -name '*.bs' -a -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT%{perl_vendorarch} -type f -a -name .packlist -exec rm {} ';'

# Fix permissions
chmod -R u+w $RPM_BUILD_ROOT%{perl_vendorarch}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/*.txt docs/*.html AUTHORS COPYING NEWS README TODO
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/botti
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/Irssi


%files devel
%defattr(-,root,root,-)
%{_includedir}/irssi

%changelog
* Sun Dec 11 2005 Dams <anvil[AT]livna.org> - 0.8.10-1
- Updated to final 0.8.10

* Wed Dec  7 2005 Dams <anvil[AT]livna.org> - 0.8.10-0.2.rc8
- Updated to rc8

* Tue Nov 15 2005 Dams <anvil[AT]livna.org> - 0.8.10-0.1.rc7
- Dropped patch 2 (seems applied upstream) and 3 (no longer needed)
- Removed conditionnal build against glib1 parts

* Sun Nov 13 2005 Luke Macken <lmacken@redhat.com> 0.8.9-8
- Rebuild against new openssl

* Mon Apr 11 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.8.9-7
- Two patches to fix build for GCC4 and new Perl with config.h.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Dec 24 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.8.9-5
- Reduce Perl dir ownership and add MODULE_COMPAT dependency.

* Fri Apr  2 2004 Dams <anvil[AT]livna.org> 0:0.8.9-0.fdr.4
- Rebuilt to use new perl to prevent random segmentation fault at load
  time

* Fri Feb  6 2004 Dams <anvil[AT]livna.org> 0:0.8.9-0.fdr.3
- Patch from Michael Schwendt to fix convert-replace-trigger script
  (bug #1120 comment #3)

* Sat Dec 20 2003 Dams <anvil[AT]livna.org> 0:0.8.9-0.fdr.2
- Fixed changelog typo
- Added trigger.pl as replace.pl wont be maintained anymore
- Updated replace.pl to 0.1.4 version
- Added replace.pl URL in Source tag
- Removed .packlist files
- Added as doc a script to convert pref from replace.pl to trigger.pl

* Thu Dec 11 2003 Dams <anvil[AT]livna.org> 0:0.8.9-0.fdr.1
- Updated to 0.8.9

* Mon Nov 24 2003 Dams <anvil[AT]livna.org> 0:0.8.8-0.fdr.1
- Updated to 0.8.8
- Enabled gc

* Sun Sep 14 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.13
- Rebuild

* Sun Sep 14 2003 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.8.6-0.fdr.12
- apply openssl patch only if openssl-devel supports pkgconfig

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.11
- Installing replace.pl in good directory

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.10
- Rebuild

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.9
- Using vendor perl directories

* Thu Sep 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.8
- Added missing unowned directories
- Added an additionnal useful perl script (replace.pl)

* Tue Aug  5 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.7
- Added zlib-devel buildrequires

* Sat Jul 12 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.6
- Applied Patches from Ville Skyttä (bug #277 comment #11 and
  comment #12)

* Mon Jun 23 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.5
- Modified BuildRequires for ssl

* Wed Jun 11 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.4
- Added another dir entry

* Sun Jun  8 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.3
- Added some dir entry in file section

* Tue May 20 2003 Dams <anvil[AT]livna.org> 0:0.8.6-0.fdr.2
- Exclude modules ".a" files
- Include more files as doc

* Sat May 10 2003 Dams <anvil[AT]livna.org>
- Initial build.
